## class Fl_Float_Input

### Class Hierarchy

    Fl_Input
       |
       +----Fl_Float_Input

### Include Files

    #include <FL/Fl_Float_Input.H>

### Description

The `Fl_Float_Input` class is a subclass of `Fl_Input` that only allows the user to type floating point numbers (sign, digits, decimal point, more digits, 'E' or 'e', sign, digits).

### Methods

- Fl_Float_Input
- ~Fl_Float_Input

#### Fl_Float_Input::Fl_Float_Input(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Float_Input` widget using the given position, size, and label string. The default boxtype is `FL_DOWN_BOX`.

#### virtual Fl_Float_Input::~Fl_Float_Input()

Destroys the widget and any value associated with it.